Subject: Re: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Live System User <[email-masked]>
Date: Tue, 10 Jul 2018 13:25:58 -0400

Robert Pluim <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>>        Unfortunately, Emacs only records in its
>>        *trace of SMTP sesssion to...* buffer the responses from
>>        the SMTP server and mot also what commands are sent to it.
>>        So while I presumed that a STARTTLS command wasn't being
>>        issued because it failed and I wasn't being asked to
>>        provide a password, a now closer look reveals that it
>>        apparently was sent.
>>
>>        So it's failing for another reason which a direct TLS
>>        connection helps to confirm.
>>
>>        It appears I have a similar problem as Ulrich Mueller
>>        which he reported back April of last year in bug#26359;
>>
>>            https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26359
>>
>>       His workaround. a `defadvice` also works for me.
>>
>>       Hopefully. a fix will solve these issues and allow one to
>>       designatre for a partiular network connection that a
>>       password is required (supplied or prompted for) upon an
>>       initial connection and not just only after an initial
>>       unauthenticated connetion failure;
;>>
>
> This is already in place, and it works for me, but itʼs not working
> correctly for you. Could you provide more details on how youʼre
> specifying your username/password? Based on looking at the code, this
> situation could arise if you only set smtpmail-smtp-user without
> having an entry in .authinfo.

  That's my situation.

  I don't have and don't want that entry saved on disk.
  
  Thanks.